Package org.apache.xmlbeans.impl.common

## Class XmlWhitespace

- java.lang.Object
- - org.apache.xmlbeans.impl.common.XmlWhitespace

-     public class XmlWhitespace
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `WS_COLLAPSE` |
    `static int` | `WS_PRESERVE` |
    `static int` | `WS_REPLACE` |
    `static int` | `WS_UNSPECIFIED` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XmlWhitespace()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `collapse​(String v)` |
    `static String` | `collapse​(String v, int wsr)` | The algorithm used by apply_wscanon: sometimes used in impls.
    `static boolean` | `isAllSpace​(CharSequence v)` |
    `static boolean` | `isAllSpace​(String v)` |
    `static boolean` | `isSpace​(char ch)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WS_UNSPECIFIED

          public static final int WS_UNSPECIFIED

      See Also:
        Constant Field Values

    - #### WS_PRESERVE

          public static final int WS_PRESERVE

      See Also:
        Constant Field Values

    - #### WS_REPLACE

          public static final int WS_REPLACE

      See Also:
        Constant Field Values

    - #### WS_COLLAPSE

          public static final int WS_COLLAPSE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XmlWhitespace

          public XmlWhitespace()

  - ### Method Detail

    - #### isSpace

          public static boolean isSpace​(char ch)

    - #### isAllSpace

          public static boolean isAllSpace​(String v)

    - #### isAllSpace

          public static boolean isAllSpace​(CharSequence v)

    - #### collapse

          public static String collapse​(String v)

    - #### collapse

          public static String collapse​(String v,
                                        int wsr)

      The algorithm used by apply_wscanon: sometimes used in impls.